/* frame.c
 * Giram - A GPLed Modelling Program.
 * Copyright (C) 1999-2000 DindinX <David.Odin@bigfoot.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "giram.h"
#include "camera.h"
#include "frame.h"

/*****************************************************************************
*  InitFrame
******************************************************************************/
FrameStruct *NewFrame(char *Name)
{
  FrameStruct *LocalFrame;
  int Id;

  Id = 0;
  for (LocalFrame = FirstFrame ; LocalFrame ; LocalFrame = LocalFrame->Next)
    if (LocalFrame->Id >= Id)
      Id = LocalFrame->Id+1;
  LocalFrame = g_malloc(sizeof(FrameStruct));
  LocalFrame->Next = FirstFrame;
  FirstFrame = LocalFrame;
  LocalFrame->Name = g_strdup(Name);
  LocalFrame->Id = Id;
  LocalFrame->Camera = g_malloc(sizeof(CameraStruct));
  InitCamera(LocalFrame->Camera);
  ComputeCamera(LocalFrame->Camera);
  LocalFrame->all_objects = NULL;
  LocalFrame->FirstLightSource = NULL;
  LocalFrame->SkySphere = NULL;
  LocalFrame->FloatConstantList = NULL;
  LocalFrame->VectorConstantList = NULL;
  LocalFrame->ColorConstantList = NULL;
  LocalFrame->StringConstantList = NULL;
  LocalFrame->ObjectConstantList = NULL;
  LocalFrame->TextureConstantList = NULL;
  LocalFrame->PigmentConstantList = NULL;
  LocalFrame->CameraConstantList = NULL;
  LocalFrame->LightSourceConstantList = NULL;
  LocalFrame->all_views = NULL;
  LocalFrame->Selection = NULL;
  Veq(LocalFrame->RotationCenter, 0.0, 0.0, 0.0);
  Veq(LocalFrame->ScaleCenter, 0.0, 0.0, 0.0);
  LocalFrame->SnapToGrid = FALSE;
  LocalFrame->ShowGrid = FALSE;
  Veq(LocalFrame->SnapGrid, 1.0, 1.0, 1.0);
  return LocalFrame;
}

