/* texture.h
 * Giram - A GPLed Modelling Program.
 * Copyright (C) 1999-2000 DindinX <David.Odin@bigfoot.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __GIRAM_TEXTURE_H__
#define __GIRAM_TEXTURE_H__

/* These enum represents all the pattern PovRay can handle, and thus must
 * be handled as well by Giram.
 */
typedef enum
{
  PAT_SOLID_COLOR,
  PAT_BRICK,
  PAT_CHECKER,
  PAT_HEXAGON,
  PAT_LAST
} GiramPigmentType;

typedef struct PigmentStruct
{
  guint refcount;
  GiramPigmentType Type;           /* Type of pattern used */
  Vector Color;                    /* Solid Color */
  TransformStruct *Trans;          /* Transformation for the pigment */
  Vector Color2, Color3;
/*  Vector BrickSize;
  double Mortar;*/
} PigmentStruct;

PigmentStruct *DefaultPigment;

/* This struct is used to store the Finish part of a texture */
#if 0 /* Unused for now */
typedef struct FinishStruct
{
  Vector Ambient;
  double Diffuse;
  double Brilliance;
  double Phong;
  double PhongSize;
  double Specular;
  double Roughness;
  double Metallic;
  Vector Reflection;
  double Refraction;
  double Ior;
  double Caustics;
  double FadeDistance;
  double FadePower;
  struct
  {
    double Amount;
    double Thickness;
    Vector Turbulence;
  } Irid;
  double Crand;
} FinishStruct;
#endif

typedef struct TextureStruct
{
  guint refcount;
  PigmentStruct *Pigment;
  TransformStruct *Trans;
} TextureStruct;

TextureStruct *DefaultTexture;

void ChangeColorDialog(GtkWidget *DrawingArea);

#endif /* __GIRAM_TEXTURE_H__ */
