/* utils.c
 * Giram - A GPLed Modelling Program.
 * Copyright (C) 1999-2001 DindinX <David.Odin@bigfoot.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "giram.h"
#include "giramrc.h"
#include "utils.h"

ViewUserDataStruct *CurrentUserData = NULL;

/*****************************************************************************
*  LibOpen
******************************************************************************/
FILE *LibOpen(char *filename)
{
  FILE *h;
  gchar **paths;
  gint i;

  if ((h = fopen(filename,"rb")) != NULL)
  {
    return h;
  }
  h = NULL;
  paths = g_strsplit(pov_include_path, ":", -1);
  for (i = 0 ; paths[i] ; i++)
  {
    gchar *full_filename;

    full_filename = g_strdup_printf("%s/%s", paths[i], filename);
    h = fopen(full_filename, "rb");
    g_free(full_filename);
    if (h) break;
  }
  g_strfreev(paths);
  return h;
}

/*************************************************************************
*  get_view_user_data
**************************************************************************/
ViewUserDataStruct *get_view_user_data()
{
  GtkWidget *event_widget;
  GtkWidget *toplevel_widget;
  GdkEvent *event;
  ViewUserDataStruct *UserData = NULL;

  event = gtk_get_current_event();
  if (event == NULL)
    return CurrentUserData;
  event_widget = gtk_get_event_widget(event);
  gdk_event_free(event);

  if (event_widget == NULL)
    return NULL;
  toplevel_widget = gtk_widget_get_toplevel(event_widget);
  
  UserData = gtk_object_get_data(GTK_OBJECT(toplevel_widget), "ViewData");
  if (UserData)
    return UserData;
  if (CurrentUserData)
    return CurrentUserData;
  return NULL;
}

